CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

GET_FILENAME_COMPONENT(MODULE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME)
FILE(GLOB SOURCES "*.h" "*.cxx" "*.hpp" "*.cpp" "*.c" "*.tpp" "*.inl" "*.C")
ADD_EXECUTABLE(${MODULE_NAME} ${SOURCES})
TARGET_LINK_LIBRARIES(${MODULE_NAME} ${LIBS})
set_target_properties(${MODULE_NAME} PROPERTIES DEBUG_POSTFIX "_debug" )


IF (EXTENSION_360_VIDEO)
 TARGET_LINK_LIBRARIES(${MODULE_NAME} TLib360)
ENDIF()

TARGET_LINK_LIBRARIES(${MODULE_NAME} encode common videoIO utils md5 sse4)
 
IF (EXTENSION_360_VIDEO)
 TARGET_LINK_LIBRARIES(${MODULE_NAME} TAppEncHelper360 TLib360)
ENDIF()


